package io.swagger.model;

import io.swagger.v3.oas.annotations.media.Schema;


/**
 * The risk significance for the phenomona.
 */
public enum Significance {
  ADVISORY("ADVISORY"),
  
  WATCH("WATCH"),
  
  WARNING("WARNING");

  private String value;

  Significance(String value) {
    this.value = value;
  }

  @Override
  public String toString() {
    return String.valueOf(value);
  }

  public static Significance fromValue(String text) {
    for (Significance b : Significance.values()) {
      if (String.valueOf(b.value).equals(text)) {
        return b;
      }
    }
    return null;
  }
  
}
