package io.swagger.model;

import io.swagger.model.FieldListObj;
import io.swagger.model.NwsWarningsArr;
import io.swagger.model.OnpointObj;
import io.swagger.v3.oas.annotations.media.Schema;

import io.swagger.v3.oas.annotations.media.Schema;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonValue;
import com.fasterxml.jackson.annotation.JsonCreator;

/**
  * OnPoint™ point NWS Warnings object
 **/
@Schema(description="OnPoint™ point NWS Warnings object")
public class NwsWarningsOnpointObj   {
  
  @Schema(required = true, description = "")
  private OnpointObj location = null;
  
  @Schema(required = true, description = "")
  private FieldListObj fieldList = null;
  
  @Schema(description = "")
  private NwsWarningsArr warniungs = null;
 /**
   * Get location
   * @return location
  **/
  @JsonProperty("location")
  public OnpointObj getLocation() {
    return location;
  }

  public void setLocation(OnpointObj location) {
    this.location = location;
  }

  public NwsWarningsOnpointObj location(OnpointObj location) {
    this.location = location;
    return this;
  }

 /**
   * Get fieldList
   * @return fieldList
  **/
  @JsonProperty("fieldList")
  public FieldListObj getFieldList() {
    return fieldList;
  }

  public void setFieldList(FieldListObj fieldList) {
    this.fieldList = fieldList;
  }

  public NwsWarningsOnpointObj fieldList(FieldListObj fieldList) {
    this.fieldList = fieldList;
    return this;
  }

 /**
   * Get warniungs
   * @return warniungs
  **/
  @JsonProperty("warniungs")
  public NwsWarningsArr getWarniungs() {
    return warniungs;
  }

  public void setWarniungs(NwsWarningsArr warniungs) {
    this.warniungs = warniungs;
  }

  public NwsWarningsOnpointObj warniungs(NwsWarningsArr warniungs) {
    this.warniungs = warniungs;
    return this;
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class NwsWarningsOnpointObj {\n");
    
    sb.append("    location: ").append(toIndentedString(location)).append("\n");
    sb.append("    fieldList: ").append(toIndentedString(fieldList)).append("\n");
    sb.append("    warniungs: ").append(toIndentedString(warniungs)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
